CUDA Runtime API (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 5.10. cudaMemcpy3DParms Struct Reference

## [Data types used by CUDA Runtime]

CUDA 3D memory copying parameters

### Public Variables

cudaArray_t dstArray
struct cudaPos dstPos
struct cudaPitchedPtr dstPtr
struct cudaExtent extent
enumcudaMemcpyKind kind
cudaArray_t srcArray
struct cudaPos srcPos
struct cudaPitchedPtr srcPtr

### Variables

cudaArray_t cudaMemcpy3DParms::dstArray [inherited]

  Destination memory address

struct cudaPos cudaMemcpy3DParms::dstPos [inherited]

  Destination position offset

struct cudaPitchedPtr cudaMemcpy3DParms::dstPtr [inherited]

  Pitched destination memory address

struct cudaExtent cudaMemcpy3DParms::extent [inherited]

  Requested memory copy size

enumcudaMemcpyKind cudaMemcpy3DParms::kind [inherited]

  Type of transfer

cudaArray_t cudaMemcpy3DParms::srcArray [inherited]

  Source memory address

struct cudaPos cudaMemcpy3DParms::srcPos [inherited]

  Source position offset

struct cudaPitchedPtr cudaMemcpy3DParms::srcPtr [inherited]

  Pitched source memory address